Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

ezpextensionoptions.php
Go to the documentation of this file.
1 <?php
58 class ezpExtensionOptions extends ezcBaseOptions
59 {
60 public function __construct( array $options = array() )
61 {
62 $this->iniFile = '';
63 $this->iniSection = 'HandlerSettings';
64 $this->iniVariable = 'HandlerClassName';
65 $this->handlerIndex = null;
66 $this->callMethod = null;
67 $this->handlerParams = null;
68 $this->aliasSection = null;
69 $this->aliasVariable = null;
70 $this->aliasOptionalIndex = null;
71
72 parent::__construct( $options );
73 }
74
75 public function __set( $name, $value )
76 {
77 switch ( $name )
78 {
79 case 'iniFile':
80 case 'iniSection':
81 case 'iniVariable':
82 if( !is_string( $value ) )
83 {
84 throw new ezcBaseValueException( $name, $value );
85 }
86 $this->properties[$name] = $value;
87 break;
88
89 case 'handlerIndex':
90 case 'callMethod':
91 case 'aliasSection':
92 case 'aliasVariable':
93 case 'aliasOptionalIndex':
94 if( $value !== null and !is_string( $value ) )
95 {
96 throw new ezcBaseValueException( $name, $value );
97 }
98 $this->properties[$name] = $value;
99 break;
100
101 case 'handlerParams':
102 if( $value !== null and !is_array( $value ) and count( $value ) <= 0 )
103 {
104 throw new ezcBaseValueException( $name, $value );
105 }
106 $this->properties[$name] = $value;
107 break;
108
109 default:
110 throw new ezcBasePropertyNotFoundException( $name );
111 }
112 }
113 }
114
115 ?>
ezpExtensionOptions
Definition: ezpextensionoptions.php:59
ezpExtensionOptions\__construct
__construct(array $options=array())
Definition: ezpextensionoptions.php:60
ezpExtensionOptions\__set
__set( $name, $value)
Definition: ezpextensionoptions.php:75
$name
$name
Definition: companytypelist.php:194
properties
$def properties['rest_client_id']
Definition: ezprestauthorizedclient.php:21
$options
$options
Definition: optionlist.php:56
iniSection
$handlerOptions iniSection
Definition: to.php:14
handlerParams
if(isset( $_SERVER['QUERY_STRING']) && $_SERVER['QUERY_STRING']) $handlerOptions handlerParams
Definition: to.php:23
iniVariable
$handlerOptions iniVariable
Definition: to.php:15
iniFile
$handlerOptions iniFile
Definition: to.php:13
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.